CKSUM(1)

BEZEICHNUNG
cksum - Datei-Prüfsummen berechnen und verifizieren

ÜBERSICHT
cksum [OPTION]… [DATEI]…

BESCHREIBUNG

Prüft oder verifiziert Prüfsummen. Standardmäßig wird der 32- Bit-CRC-Algorithmus verwendet.

liest ohne DATEI oder wenn DATEI - ist, aus der Standardeingabe.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-a, --algorithm=TYP
    wählt den zu verwendenden Hash-Typ aus. Siehe HASHES weiter unten.

--base64
    erzeugt Prüfsummen als base64-kodierten Hash, nicht hexadezimal.

-c, --check
    liest Prüfsummen aus der DATEI und überprüft sie.

-l, --length=BITS
    gibt die Hashlänge in Bit an; diese darf das Maximum für den Blake2-Algorithmus nicht überschreiten und muss ein Vielfaches von 8 sein.

--raw
    erzeugt Prüfsummen als rohen Binär-Hash, nicht hexadezimal.

--tag
    erstellt eine Prüfsumme im BSD-Stil (Voreinstellung).

--untagged
    erstellt eine inversartige Prüfsumme, ohne Hash-Typ.

-z, --zero
    schließt jede Ausgabezeile mit einem Nullbyte statt des Zeilenumbruchs ab und deaktiviert Dateinamenmaskierung.

  Die folgenden fünf Optionen sind nur beim Überprüfen sinnvoll:

--ignore-missing
    meldet keinen Fehlschlag oder Status für fehlende Dateien.

--quiet
    gibt nicht für jede erfolgreich geprüfte Datei OK aus.

--status
    gibt nichts aus, der Statuscode zeigt Erfolg an.

--strict
    bricht bei ungeeignet formatierten Prüfsummenzeilen mit von 0 verschiedenem Fehlercode ab.

-w, --warn
    warnt bei ungeeignet formatierten Prüfsummenzeilen.

--debug
    gibt die verwendete Implementierung an.

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

  HASHES bestimmt den Hash-Algorithmus und das standardmäßige Ausgabeformat:

sysv
    (gleichbedeutend mit sum -s)

bsd (gleichbedeutend mit sum -r)

crc (gleichbedeutend mit cksum)

crc32b
    (nur über cksum verfügbar)

md5 (gleichbedeutend mit md5sum)

sha1
    (gleichbedeutend mit sha1sum)

sha224
    (gleichbedeutend mit sha224sum)

sha256
    (gleichbedeutend mit sha256sum)

sha384
    (gleichbedeutend mit sha384sum)

sha512
    (gleichbedeutend mit sha512sum)

blake2b
    (gleichbedeutend mit b2sum)

sm3 (nur über cksum verfügbar)

beim Prüfen sollte die Eingabe eine frühere Ausgabe dieses Programmes oder eines äquivalenten, unabhängigen Programmes sein.

AUTOR
Geschrieben von Pádraig Brady und Q. Frank Xia.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: https://www.gnu.org/software/coreutils/
Melden Sie Fehler in der Programmübersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

SIEHE AUCH
Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/cksum>
oder lokal verfügbar mit: info '(coreutils) cksum invocation'

Paketiert durch Debian (9.7-2)
Copyright © 2025 Free Software Foundation, Inc.
Lizenz GPLv3+: GNU GPL Version 3 oder neuer <https://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben.
Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Dr. Tobias Quathamer <toddy@debian.org>, Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.